Can not mount Hitachi Mobile Pro TOURO hard drive by USB

Bug #901215 reported by Luo, BingJiun
74
This bug affects 15 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Ming Lei
Oneiric
Medium
Ming Lei
Precise
Medium
Ming Lei

Bug Description

[ 403.591714] usbcore: registered new interface driver usbhid
[ 403.591726] usbhid: USB HID core driver
[ 513.528168] usb 3-2: USB disconnect, device number 2
[ 1780.352088] usb 1-4: new high speed USB device number 5 using ehci_hcd
[ 1780.495826] scsi4 : uas

Below is the message get from "dmesg":

[ 1784.252411] scsi 4:0:0:0: Direct-Access Hitachi Touro Mobile Pro A0D0 PQ: 0 ANSI: 4
[ 1791.010123] scsi 4:0:0:0: uas_eh_abort_handler tag 0
[ 1791.010143] scsi 4:0:0:0: uas_eh_device_reset_handler tag 0
[ 1791.010155] scsi 4:0:0:0: uas_eh_target_reset_handler tag 0
[ 1791.010164] scsi 4:0:0:0: uas_eh_bus_reset_handler tag 0
[ 1791.120379] usb 1-4: reset high speed USB device number 5 using ehci_hcd
[ 1791.253692] scsi 4:0:0:0: Device offlined - not ready after error recovery
[ 1791.253761] scsi 4:0:0:0: rejecting I/O to offline device
[ 1791.253785] scsi 4:0:0:0: rejecting I/O to offline device
[ 1791.255566] scsi 4:0:0:1: Enclosure Hitachi SES A0D0 PQ: 0 ANSI: 4
[ 1791.255778] scsi 4:0:0:2: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
[ 1791.256623] sd 4:0:0:0: Attached scsi generic sg2 type 0
[ 1791.256899] ses 4:0:0:1: Attached Enclosure device
[ 1791.257112] ses 4:0:0:1: Attached scsi generic sg3 type 13

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-13-generic 3.0.0-13.22
ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
Uname: Linux 3.0.0-13-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 1.23-0ubuntu4
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: bjl 1585 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
   Mixer name : 'Analog Devices AD1981B'
   Components : 'AC97a:41445374'
   Controls : 26
   Simple ctrls : 18
Card29.Amixer.info:
 Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw unknown'
   Mixer name : 'ThinkPad EC (unknown)'
   Components : ''
   Controls : 2
   Simple ctrls : 1
Card29.Amixer.values:
 Simple mixer control 'Console',0
   Capabilities: pvolume pvolume-joined pswitch pswitch-joined penum
   Playback channels: Mono
   Limits: Playback 0 - 14
   Mono: Playback 10 [71%] [off]
Date: Wed Dec 7 21:10:19 2011
GvfsMonitorLog: Monitoring events. Press Ctrl+C to quit.
HotplugNewDevices:

HotplugNewMounts:

MachineType: IBM 23733V1
PccardctlIdent:
 Socket 0:
   no product info available
 Socket 1:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
 Socket 1:
   no card
ProcEnviron:
 PATH=(custom, no user)
 LANG=zh_TW.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-13-generic root=UUID=8CEC3E27EC3E0C48 loop=/hostname/disks/root.disk ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-13-generic N/A
 linux-backports-modules-3.0.0-13-generic N/A
 linux-firmware 1.60
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
Symptom: storage
UdevMonitorLog:
 monitor will print the received events for:
 UDEV - the event which udev sends out after rule processing
UdisksMonitorLog: Monitoring activity from the disks daemon. Press Ctrl+C to cancel.
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/25/2003
dmi.bios.vendor: IBM
dmi.bios.version: 1RET36WW (1.07 )
dmi.board.name: 23733V1
dmi.board.vendor: IBM
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: IBM
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnIBM:bvr1RET36WW(1.07):bd06/25/2003:svnIBM:pn23733V1:pvrNotAvailable:rvnIBM:rn23733V1:rvrNotAvailable:cvnIBM:ct10:cvrNotAvailable:
dmi.product.name: 23733V1
dmi.product.version: Not Available
dmi.sys.vendor: IBM

Revision history for this message
Luo, BingJiun (luobingjiun) wrote :
Brad Figg (brad-figg)
Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Do you know if this issue happened in previous version of Ubuntu, or is this a new issue?

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . If possible, please test the latest v3.2-rcN kernel (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed by the mainline kernel, please add the following tag 'kernel-fixed-upstream-KERNEL-VERSION'. For example, if kernel version 3.2-rc1 fixed and issue, the tag would be: 'kernel-fixed-upstream-v3.2-rc1'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'. If you believe this bug does not require upstream testing, please add the tag: 'kernel-upstream-testing-not-needed'.

Thanks in advance.

tags: added: needs-upstream-testing
Revision history for this message
Luo, BingJiun (luobingjiun) wrote :

The problem still exists at kernel 3.2-rc4

"dmesg" :

[ 273.496138] usb 1-3: new high-speed USB device number 2 using ehci_hcd
[ 273.962235] scsi2 : uas
[ 273.963548] usbcore: registered new interface driver uas
[ 273.975778] Initializing USB Mass Storage driver...
[ 273.978254] usbcore: registered new interface driver usb-storage
[ 273.978265] USB Mass Storage support registered.
[ 277.402918] scsi 2:0:0:0: Direct-Access Hitachi Touro Mobile Pro A0D0 PQ: 0 ANSI: 4
[ 283.840093] scsi 2:0:0:0: uas_eh_abort_handler tag 0
[ 283.840112] scsi 2:0:0:0: uas_eh_device_reset_handler tag 0
[ 283.840123] scsi 2:0:0:0: uas_eh_target_reset_handler tag 0
[ 283.840132] scsi 2:0:0:0: uas_eh_bus_reset_handler tag 0
[ 283.952090] usb 1-3: reset high-speed USB device number 2 using ehci_hcd
[ 284.148858] scsi 2:0:0:0: Device offlined - not ready after error recovery
[ 284.148934] scsi 2:0:0:0: rejecting I/O to offline device
[ 284.148970] scsi 2:0:0:0: rejecting I/O to offline device
[ 284.150528] scsi 2:0:0:1: Enclosure Hitachi SES A0D0 PQ: 0 ANSI: 4
[ 284.150815] scsi 2:0:0:2: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
[ 284.153954] sd 2:0:0:0: Attached scsi generic sg2 type 0
[ 284.154469] scsi 2:0:0:1: Attached scsi generic sg3 type 13

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Revision history for this message
Guilherme Hammes (guihammes) wrote :

try blacklist uas module. It worked with my Hitachi Touro Desk Pro.

Revision history for this message
Lorenz Giefing (lorenz-giefing) wrote :

blacklisting uas worked for me too (Hitatchi TOURO Mobile Pro 500GB)

Revision history for this message
David Anderson (davea42) wrote :

I get 'blacklist.conf' editting (a vi guy here), but if someone would kindly suggest the exact change that you experts
have hinted at that would be great. Ubuntu 11.10 here, the same device as Lorenz G just mentioned,
a 500GB Touro.

Revision history for this message
Jay (blaszta) wrote :

It's not a solution but more a work around:

----------------------------------------------------------------------------------------------------------
root@k:~# more /etc/modprobe.d/blacklist.conf
# This file lists those modules which we don't want to be loaded by
# alias expansion, usually so some other driver will be loaded for the
# device instead.

blacklist uas
----------------------------------------------------------------------------------------------------------

see http://ubuntuforums.org/showthread.php?t=1782546&page=2

Revision history for this message
David Anderson (davea42) wrote :

Works. Thanks for the workaround and the link, Jay.

Revision history for this message
Luo, BingJiun (luobingjiun) wrote :

blacklist uas also works for me. But I think it not solution, either.

Does it disable UAS mechanism in USB 3.0 and use BULK transfer just like USB 2.0 ?

Ming Lei (tom-leiming)
Changed in linux (Ubuntu):
assignee: nobody → Ming Lei (tom-leiming)
Revision history for this message
Ming Lei (tom-leiming) wrote : Re: [Bug 901215] Re: Can not mount Hitachi Mobile Pro TOURO hard drive by USB

On Tue, Jan 17, 2012 at 9:31 PM, Luo, BingJiun
<email address hidden> wrote:
> blacklist uas also works for me. But I think it not solution, either.
>
> Does it disable UAS mechanism in USB 3.0 and use BULK transfer just like
> USB 2.0 ?

Yes, disabling UAS may degrade to bulk only protocol, but still takes USB 3.0.

Revision history for this message
Ming Lei (tom-leiming) wrote :

Hi Guys,

It is said that there is no such issue on kernel 3.3, but it can be
found on 3.2[2], so I backported the the commit[1] below to Oneiric.

Could you help to test the generate image in the below link?

       http://kernel.ubuntu.com/~ming/bugs/901215/1/

[1],
commit e4d8318a85779b25b880187b1b1c44e797bd7d4b
Author: Sebastian Andrzej Siewior <email address hidden>
Date: Wed Jan 25 11:48:40 2012 +0100

    usb/uas: make sure data urb is gone if we receive status before that

[2], http://sourceforge.net/projects/clonezilla/forums/forum/663168/topic/4943703

Revision history for this message
Ming Lei (tom-leiming) wrote :

On Wed, Apr 25, 2012 at 6:10 PM, Ming Lei <email address hidden> wrote:
> Hi Guys,
>
> It is said that there is no such issue on kernel 3.3, but it can be
> found on 3.2[2], so I backported the the commit[1] below to Oneiric.
>
> Could you help to test the generate image in the below link?
>
>       http://kernel.ubuntu.com/~ming/bugs/901215/1/

If the above link doesn't work, please continue to test the images
in the link.

       http://kernel.ubuntu.com/~ming/bugs/901215/2/

tags: added: blocks-hwcert-enablement
Revision history for this message
Ming Lei (tom-leiming) wrote :

I think the below link kernel may fix the uas problem, anyone can give a test?

http://kernel.ubuntu.com/~ming/bugs/901215/3/

Revision history for this message
Ding Zhou (tualatrix) wrote :

I have verified the kernel from http://kernel.ubuntu.com/~ming/bugs/901215/3/

With a similar Hitachi Touro Mobile Pro (USB 3.0 HD), it works without "blacklist uas", thanks Ming.

[ 69.360195] usb 7-1: new SuperSpeed USB device number 2 using xhci_hcd
[ 69.386113] scsi6 : uas
[ 73.173158] scsi 6:0:0:0: Direct-Access Hitachi Touro Mobile Pro C70E PQ: 0 ANSI: 4
[ 73.173475] sd 6:0:0:0: Attached scsi generic sg6 type 0
[ 73.173642] sd 6:0:0:0: [sdf] 976769024 512-byte logical blocks: (500 GB/465 GiB)
[ 73.173763] sd 6:0:0:0: [sdf] Write Protect is off
[ 73.173766] sd 6:0:0:0: [sdf] Mode Sense: 67 00 10 08
[ 73.173842] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
[ 73.173967] sd 6:0:0:0: [sdf] Cache data unavailable
[ 73.173969] sd 6:0:0:0: [sdf] Assuming drive cache: write through
[ 73.174407] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
[ 73.175159] sd 6:0:0:0: [sdf] Cache data unavailable
[ 73.175165] sd 6:0:0:0: [sdf] Assuming drive cache: write through
[ 73.196777] sdf: sdf1
[ 73.197342] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
[ 73.197463] sd 6:0:0:0: [sdf] Cache data unavailable
[ 73.197465] sd 6:0:0:0: [sdf] Assuming drive cache: write through
[ 73.197468] sd 6:0:0:0: [sdf] Attached SCSI disk
[ 73.199221] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
[ 73.285088] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
[ 96.231103] usb 7-1: URB BAD STATUS -108
[ 96.246622] WARNING! power/level is deprecated; use power/control instead
[ 96.396073] usb 7-1: USB disconnect, device number 2

Revision history for this message
Ming Lei (tom-leiming) wrote :

tualatrix, thanks you for the test.

I have submitted the upstream patches onto ubuntu kernel mail list.

Tim Gardner (timg-tpi)
Changed in linux (Ubuntu Oneiric):
status: New → Fix Committed
Changed in linux (Ubuntu Precise):
status: New → Fix Committed
Revision history for this message
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Precise in -proposed solves the problem (3.2.0-24.38). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-precise' to 'verification-done-precise'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
Revision history for this message
Ming Lei (tom-leiming) wrote :
Download full text (5.5 KiB)

Hi Ding,

Could you help to verify 3.2.0-24.38 to see the UAS problem can be fixed
if you have time?

Thanks,
--
Ming Lei

On Fri, May 4, 2012 at 1:05 AM, Luis Henriques
<email address hidden> wrote:
> This bug is awaiting verification that the kernel for Precise in
> -proposed solves the problem (3.2.0-24.38). Please test the kernel and
> update this bug with the results. If the problem is solved, change the
> tag 'verification-needed-precise' to 'verification-done-precise'.
>
> If verification is not done by one week from today, this fix will be
> dropped from the source code, and this bug will be closed.
>
> See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
> to enable and use -proposed. Thank you!
>
>
> ** Tags added: verification-needed-precise
>
> --
> You received this bug notification because you are a member of Canonical
> Hardware Enablement Team, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/901215
>
> Title:
>  Can not mount Hitachi Mobile Pro TOURO hard drive by USB
>
> Status in “linux” package in Ubuntu:
>  Triaged
> Status in “linux” source package in Oneiric:
>  Fix Committed
> Status in “linux” source package in Precise:
>  Fix Committed
>
> Bug description:
>  [  403.591714] usbcore: registered new interface driver usbhid
>  [  403.591726] usbhid: USB HID core driver
>  [  513.528168] usb 3-2: USB disconnect, device number 2
>  [ 1780.352088] usb 1-4: new high speed USB device number 5 using ehci_hcd
>  [ 1780.495826] scsi4 : uas
>
>  Below is the message get from "dmesg":
>
>  [ 1784.252411] scsi 4:0:0:0: Direct-Access     Hitachi  Touro Mobile Pro A0D0 PQ: 0 ANSI: 4
>  [ 1791.010123] scsi 4:0:0:0: uas_eh_abort_handler tag 0
>  [ 1791.010143] scsi 4:0:0:0: uas_eh_device_reset_handler tag 0
>  [ 1791.010155] scsi 4:0:0:0: uas_eh_target_reset_handler tag 0
>  [ 1791.010164] scsi 4:0:0:0: uas_eh_bus_reset_handler tag 0
>  [ 1791.120379] usb 1-4: reset high speed USB device number 5 using ehci_hcd
>  [ 1791.253692] scsi 4:0:0:0: Device offlined - not ready after error recovery
>  [ 1791.253761] scsi 4:0:0:0: rejecting I/O to offline device
>  [ 1791.253785] scsi 4:0:0:0: rejecting I/O to offline device
>  [ 1791.255566] scsi 4:0:0:1: Enclosure         Hitachi  SES              A0D0 PQ: 0 ANSI: 4
>  [ 1791.255778] scsi 4:0:0:2: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
>  [ 1791.256623] sd 4:0:0:0: Attached scsi generic sg2 type 0
>  [ 1791.256899] ses 4:0:0:1: Attached Enclosure device
>  [ 1791.257112] ses 4:0:0:1: Attached scsi generic sg3 type 13
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.10
>  Package: linux-image-3.0.0-13-generic 3.0.0-13.22
>  ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
>  Uname: Linux 3.0.0-13-generic i686
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
>  ApportVersion: 1.23-0ubuntu4
>  Architecture: i386
>  AudioDevicesInUse:
>   USER        PID ACCESS COMMAND
>   /dev/snd/controlC0:  bjl        1585 F.... pulseaudio
>  CRDA: Error: [Errno 2] No such file or directory
>  Card0.Amixer.info:
>   Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1...

Read more...

Revision history for this message
Luo, BingJiun (luobingjiun) wrote :
Download full text (5.8 KiB)

I uninstalled previous ubuntu and want to install 12.04.

Unfortunately, I can not install because my laptop CPU does not support
PAE required by kernel. I felt upset about this.

I could not do this verification until new iso image of 12.04 that does not
required CPU to support PAE come out.

Please don't drop this fix, if it did fix the problem. Maybe somebody else
may help to verify this. Thank you.

On Fri, May 4, 2012 at 1:05 AM, Luis Henriques
<email address hidden> wrote:
> This bug is awaiting verification that the kernel for Precise in
> -proposed solves the problem (3.2.0-24.38). Please test the kernel and
> update this bug with the results. If the problem is solved, change the
> tag 'verification-needed-precise' to 'verification-done-precise'.
>
> If verification is not done by one week from today, this fix will be
> dropped from the source code, and this bug will be closed.
>
> See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
> to enable and use -proposed. Thank you!
>
>
> ** Tags added: verification-needed-precise
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/901215
>
> Title:
>  Can not mount Hitachi Mobile Pro TOURO hard drive by USB
>
> Status in “linux” package in Ubuntu:
>  Triaged
> Status in “linux” source package in Oneiric:
>  Fix Committed
> Status in “linux” source package in Precise:
>  Fix Committed
>
> Bug description:
>  [  403.591714] usbcore: registered new interface driver usbhid
>  [  403.591726] usbhid: USB HID core driver
>  [  513.528168] usb 3-2: USB disconnect, device number 2
>  [ 1780.352088] usb 1-4: new high speed USB device number 5 using ehci_hcd
>  [ 1780.495826] scsi4 : uas
>
>  Below is the message get from "dmesg":
>
>  [ 1784.252411] scsi 4:0:0:0: Direct-Access     Hitachi  Touro Mobile Pro A0D0 PQ: 0 ANSI: 4
>  [ 1791.010123] scsi 4:0:0:0: uas_eh_abort_handler tag 0
>  [ 1791.010143] scsi 4:0:0:0: uas_eh_device_reset_handler tag 0
>  [ 1791.010155] scsi 4:0:0:0: uas_eh_target_reset_handler tag 0
>  [ 1791.010164] scsi 4:0:0:0: uas_eh_bus_reset_handler tag 0
>  [ 1791.120379] usb 1-4: reset high speed USB device number 5 using ehci_hcd
>  [ 1791.253692] scsi 4:0:0:0: Device offlined - not ready after error recovery
>  [ 1791.253761] scsi 4:0:0:0: rejecting I/O to offline device
>  [ 1791.253785] scsi 4:0:0:0: rejecting I/O to offline device
>  [ 1791.255566] scsi 4:0:0:1: Enclosure         Hitachi  SES              A0D0 PQ: 0 ANSI: 4
>  [ 1791.255778] scsi 4:0:0:2: uas_sense_old: urb length 26 disagrees with IU sense data length 510, using 18 bytes of sense data
>  [ 1791.256623] sd 4:0:0:0: Attached scsi generic sg2 type 0
>  [ 1791.256899] ses 4:0:0:1: Attached Enclosure device
>  [ 1791.257112] ses 4:0:0:1: Attached scsi generic sg3 type 13
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 11.10
>  Package: linux-image-3.0.0-13-generic 3.0.0-13.22
>  ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
>  Uname: Linux 3.0.0-13-generic i686
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
>  ApportVersion: 1.23-0ubuntu4
>  Architecture: i386
>  AudioDevicesInU...

Read more...

Changed in linux (Ubuntu Oneiric):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Revision history for this message
David Anderson (davea42) wrote :

Installed 12.04, currently at
3.2.0-24-generic-pae #37-Ubuntu SMP Wed Apr 25 10:47:59 UTC 2012 i686 i686 i386 GNU/Linux

My Touro USB drive has successfully mounted and dismounted 4 times in succession.
So far it seems fine now.

Revision history for this message
Herton R. Krzesinski (herton) wrote :

Marking as verified for precise due to test result in comment #19

Changed in linux (Ubuntu Oneiric):
assignee: nobody → Ming Lei (tom-leiming)
Changed in linux (Ubuntu Precise):
assignee: nobody → Ming Lei (tom-leiming)
tags: added: verification-done-precise
removed: verification-needed-precise
Changed in linux (Ubuntu):
status: Triaged → Fix Released
Revision history for this message
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel for Oneiric in -proposed solves the problem (3.0.0-20.34). Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-oneiric' to 'verification-done-oneiric'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-oneiric
Revision history for this message
Ding Zhou (tualatrix) wrote :

I have verified with Linux 3.0.0-20.34 from the proposed channel.

It works file with Hitachi Touro Mobile Pro (USB 3.0 HD), here's the dmesg.

tags: added: verification-done-oneiric
removed: verification-needed-oneiric
Revision history for this message
Andrew Yurkov (dirigabel) wrote :
Download full text (20.6 KiB)

I have Ubuntu 11.10 with Linux 3.0.0-20.34

Using my LaCie Rugged USB 3.0 1TB gives such output after opening some
movie from it in file manager:

[ 610.548193] usb 2-1: new high speed USB device number 5 using ehci_hcd
[ 610.688466] scsi7 : uas
[ 610.884197] scsi 7:0:0:0: Direct-Access LaCie Rugged FW USB3
1081 PQ: 0 ANSI: 4
[ 610.885041] sd 7:0:0:0: Attached scsi generic sg1 type 0
[ 610.889286] sd 7:0:0:0: [sdb] 1953525153 512-byte logical blocks: (1.00
TB/931 GiB)
[ 610.889648] sd 7:0:0:0: [sdb] Write Protect is off
[ 610.889658] sd 7:0:0:0: [sdb] Mode Sense: 47 00 10 08
[ 610.889878] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 610.889909] sd 7:0:0:0: [sdb] Cache data unavailable
[ 610.889915] sd 7:0:0:0: [sdb] Assuming drive cache: write through
[ 610.892006] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 610.892257] sd 7:0:0:0: [sdb] Cache data unavailable
[ 610.892265] sd 7:0:0:0: [sdb] Assuming drive cache: write through
[ 610.939188] sdb: sdb1
[ 610.940633] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 610.940657] sd 7:0:0:0: [sdb] Cache data unavailable
[ 610.940661] sd 7:0:0:0: [sdb] Assuming drive cache: write through
[ 610.940668] sd 7:0:0:0: [sdb] Attached SCSI disk
[ 610.970130] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 611.105761] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 1113.808053] sd 7:0:0:0: uas_eh_abort_handler tag 1
[ 1113.808057] sd 7:0:0:0: uas_eh_abort_handler tag 0
[ 1113.808064] sd 7:0:0:0: uas_eh_device_reset_handler tag 1
[ 1113.808067] sd 7:0:0:0: uas_eh_target_reset_handler tag 1
[ 1113.808071] sd 7:0:0:0: uas_eh_bus_reset_handler tag 0
[ 1113.812122] usb 2-1: URB BAD STATUS -71
[ 1113.920264] usb 2-1: reset high speed USB device number 5 using ehci_hcd
[ 1114.053522] sd 7:0:0:0: Device offlined - not ready after error recovery
[ 1114.053533] sd 7:0:0:0: Device offlined - not ready after error recovery
[ 1114.053554] sd 7:0:0:0: [sdb] Unhandled error code
[ 1114.053560] sd 7:0:0:0: [sdb] Result: hostbyte=DID_OK
driverbyte=DRIVER_TIMEOUT
[ 1114.053570] sd 7:0:0:0: [sdb] CDB: Read(10): 28 00 26 4b de 00 00 00 08
00
[ 1114.053594] end_request: I/O error, dev sdb, sector 642506240
[ 1114.053606] Buffer I/O error on device sdb1, logical block 80313024
[ 1114.053663] sd 7:0:0:0: [sdb] Unhandled error code
[ 1114.053669] sd 7:0:0:0: [sdb] Result: hostbyte=DID_OK
driverbyte=DRIVER_TIMEOUT
[ 1114.053678] sd 7:0:0:0: [sdb] CDB: Read(10): 28 00 00 03 4b e8 00 00 e8
00
[ 1114.053699] end_request: I/O error, dev sdb, sector 216040
[ 1114.053707] Buffer I/O error on device sdb1, logical block 26749
[ 1114.053715] sd 7:0:0:0: rejecting I/O to offline device
[ 1114.053726] Buffer I/O error on device sdb1, logical block 26750
[ 1114.053734] Buffer I/O error on device sdb1, logical block 26751
[ 1114.053741] Buffer I/O error on device sdb1, logical block 26752
[...

Revision history for this message
Andrew Yurkov (dirigabel) wrote :
Download full text (21.4 KiB)

And it also doesn't work in Ubuntu 12.04 with 3.2.0-24 linux.

2012/5/10 Андрей Юрков <email address hidden>

> I have Ubuntu 11.10 with Linux 3.0.0-20.34
>
> Using my LaCie Rugged USB 3.0 1TB gives such output after opening some
> movie from it in file manager:
>
> [ 610.548193] usb 2-1: new high speed USB device number 5 using ehci_hcd
> [ 610.688466] scsi7 : uas
> [ 610.884197] scsi 7:0:0:0: Direct-Access LaCie Rugged FW USB3
> 1081 PQ: 0 ANSI: 4
> [ 610.885041] sd 7:0:0:0: Attached scsi generic sg1 type 0
> [ 610.889286] sd 7:0:0:0: [sdb] 1953525153 512-byte logical blocks: (1.00
> TB/931 GiB)
> [ 610.889648] sd 7:0:0:0: [sdb] Write Protect is off
> [ 610.889658] sd 7:0:0:0: [sdb] Mode Sense: 47 00 10 08
> [ 610.889878] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 610.889909] sd 7:0:0:0: [sdb] Cache data unavailable
> [ 610.889915] sd 7:0:0:0: [sdb] Assuming drive cache: write through
> [ 610.892006] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 610.892257] sd 7:0:0:0: [sdb] Cache data unavailable
> [ 610.892265] sd 7:0:0:0: [sdb] Assuming drive cache: write through
> [ 610.939188] sdb: sdb1
> [ 610.940633] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 610.940657] sd 7:0:0:0: [sdb] Cache data unavailable
> [ 610.940661] sd 7:0:0:0: [sdb] Assuming drive cache: write through
> [ 610.940668] sd 7:0:0:0: [sdb] Attached SCSI disk
> [ 610.970130] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 611.105761] sd 7:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 1113.808053] sd 7:0:0:0: uas_eh_abort_handler tag 1
> [ 1113.808057] sd 7:0:0:0: uas_eh_abort_handler tag 0
> [ 1113.808064] sd 7:0:0:0: uas_eh_device_reset_handler tag 1
> [ 1113.808067] sd 7:0:0:0: uas_eh_target_reset_handler tag 1
> [ 1113.808071] sd 7:0:0:0: uas_eh_bus_reset_handler tag 0
> [ 1113.812122] usb 2-1: URB BAD STATUS -71
> [ 1113.920264] usb 2-1: reset high speed USB device number 5 using ehci_hcd
> [ 1114.053522] sd 7:0:0:0: Device offlined - not ready after error recovery
> [ 1114.053533] sd 7:0:0:0: Device offlined - not ready after error recovery
> [ 1114.053554] sd 7:0:0:0: [sdb] Unhandled error code
> [ 1114.053560] sd 7:0:0:0: [sdb] Result: hostbyte=DID_OK
> driverbyte=DRIVER_TIMEOUT
> [ 1114.053570] sd 7:0:0:0: [sdb] CDB: Read(10): 28 00 26 4b de 00 00 00 08
> 00
> [ 1114.053594] end_request: I/O error, dev sdb, sector 642506240
> [ 1114.053606] Buffer I/O error on device sdb1, logical block 80313024
> [ 1114.053663] sd 7:0:0:0: [sdb] Unhandled error code
> [ 1114.053669] sd 7:0:0:0: [sdb] Result: hostbyte=DID_OK
> driverbyte=DRIVER_TIMEOUT
> [ 1114.053678] sd 7:0:0:0: [sdb] CDB: Read(10): 28 00 00 03 4b e8 00 00 e8
> 00
> [ 1114.053699] end_request: I/O error, dev sdb, sector 216040
> [ 1114.053707] Buffer I/O error on device sdb1, logical block 26749
> [ 1114.053715] sd 7:0:0:0: rejecting I/O to o...

Revision history for this message
Ming Lei (tom-leiming) wrote :

Hi,

On Fri, May 11, 2012 at 2:39 AM, Andrew Yurkov
<email address hidden> wrote:
> I have Ubuntu 11.10 with Linux 3.0.0-20.34
>
> Using my LaCie Rugged USB 3.0 1TB gives such output after opening some
> movie from it in file manager:
>
> [  610.548193] usb 2-1: new high speed USB device number 5 using ehci_hcd

Could you plug your usb HD. into USB3 and see if it can work well?

> [  610.688466] scsi7 : uas
> [  610.884197] scsi 7:0:0:0: Direct-Access     LaCie    Rugged FW USB3

Thanks,
--
Ming Lei

Revision history for this message
Andrew Yurkov (dirigabel) wrote :
Download full text (5.4 KiB)

No, I can't, I haven't USB3 jack.

2012/5/11 Ming Lei <email address hidden>

> Hi,
>
> On Fri, May 11, 2012 at 2:39 AM, Andrew Yurkov
> <email address hidden> wrote:
> > I have Ubuntu 11.10 with Linux 3.0.0-20.34
> >
> > Using my LaCie Rugged USB 3.0 1TB gives such output after opening some
> > movie from it in file manager:
> >
> > [ 610.548193] usb 2-1: new high speed USB device number 5 using ehci_hcd
>
> Could you plug your usb HD. into USB3 and see if it can work well?
>
> > [ 610.688466] scsi7 : uas
> > [ 610.884197] scsi 7:0:0:0: Direct-Access LaCie Rugged FW USB3
>
>
> Thanks,
> --
> Ming Lei
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (875523).
> https://bugs.launchpad.net/bugs/901215
>
> Title:
> Can not mount Hitachi Mobile Pro TOURO hard drive by USB
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Oneiric:
> Fix Committed
> Status in “linux” source package in Precise:
> Fix Committed
>
> Bug description:
> [ 403.591714] usbcore: registered new interface driver usbhid
> [ 403.591726] usbhid: USB HID core driver
> [ 513.528168] usb 3-2: USB disconnect, device number 2
> [ 1780.352088] usb 1-4: new high speed USB device number 5 using ehci_hcd
> [ 1780.495826] scsi4 : uas
>
> Below is the message get from "dmesg":
>
> [ 1784.252411] scsi 4:0:0:0: Direct-Access Hitachi Touro Mobile Pro
> A0D0 PQ: 0 ANSI: 4
> [ 1791.010123] scsi 4:0:0:0: uas_eh_abort_handler tag 0
> [ 1791.010143] scsi 4:0:0:0: uas_eh_device_reset_handler tag 0
> [ 1791.010155] scsi 4:0:0:0: uas_eh_target_reset_handler tag 0
> [ 1791.010164] scsi 4:0:0:0: uas_eh_bus_reset_handler tag 0
> [ 1791.120379] usb 1-4: reset high speed USB device number 5 using
> ehci_hcd
> [ 1791.253692] scsi 4:0:0:0: Device offlined - not ready after error
> recovery
> [ 1791.253761] scsi 4:0:0:0: rejecting I/O to offline device
> [ 1791.253785] scsi 4:0:0:0: rejecting I/O to offline device
> [ 1791.255566] scsi 4:0:0:1: Enclosure Hitachi SES
> A0D0 PQ: 0 ANSI: 4
> [ 1791.255778] scsi 4:0:0:2: uas_sense_old: urb length 26 disagrees with
> IU sense data length 510, using 18 bytes of sense data
> [ 1791.256623] sd 4:0:0:0: Attached scsi generic sg2 type 0
> [ 1791.256899] ses 4:0:0:1: Attached Enclosure device
> [ 1791.257112] ses 4:0:0:1: Attached scsi generic sg3 type 13
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: linux-image-3.0.0-13-generic 3.0.0-13.22
> ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
> Uname: Linux 3.0.0-13-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 1.23-0ubuntu4
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: bjl 1585 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
> Mixer name : 'Analog Devices AD1981B'
> Components : 'AC97a:41445374'
> Controls : 26
> Simple ctrls : 18
> Card29.Amixer.info:
> Card hw:29 'ThinkPadEC'/'T...

Read more...

Revision history for this message
Michael Alzheimer (michael-alzheimer) wrote :

Tried kernel

3.2.0-24-generic #38-Ubuntu SMP Tue May 1 16:18:50 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Precise-proposed and the disk (Hitachi Touro Mobile Pro A0D0) works very well with preloaded uas - module.
 - so for me it seems to be fixed in this kernel.

Revision history for this message
Andrew Yurkov (dirigabel) wrote :
Download full text (5.1 KiB)

Preloading uas module doesn't give me anything. It still not works.

2012/5/12 Michael Alzheimer <email address hidden>

> Tried kernel
>
> 3.2.0-24-generic #38-Ubuntu SMP Tue May 1 16:18:50 UTC 2012 x86_64
> x86_64 x86_64 GNU/Linux
>
> Precise-proposed and the disk (Hitachi Touro Mobile Pro A0D0) works very
> well with preloaded uas - module.
> - so for me it seems to be fixed in this kernel.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (875523).
> https://bugs.launchpad.net/bugs/901215
>
> Title:
> Can not mount Hitachi Mobile Pro TOURO hard drive by USB
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Oneiric:
> Fix Committed
> Status in “linux” source package in Precise:
> Fix Committed
>
> Bug description:
> [ 403.591714] usbcore: registered new interface driver usbhid
> [ 403.591726] usbhid: USB HID core driver
> [ 513.528168] usb 3-2: USB disconnect, device number 2
> [ 1780.352088] usb 1-4: new high speed USB device number 5 using ehci_hcd
> [ 1780.495826] scsi4 : uas
>
> Below is the message get from "dmesg":
>
> [ 1784.252411] scsi 4:0:0:0: Direct-Access Hitachi Touro Mobile Pro
> A0D0 PQ: 0 ANSI: 4
> [ 1791.010123] scsi 4:0:0:0: uas_eh_abort_handler tag 0
> [ 1791.010143] scsi 4:0:0:0: uas_eh_device_reset_handler tag 0
> [ 1791.010155] scsi 4:0:0:0: uas_eh_target_reset_handler tag 0
> [ 1791.010164] scsi 4:0:0:0: uas_eh_bus_reset_handler tag 0
> [ 1791.120379] usb 1-4: reset high speed USB device number 5 using
> ehci_hcd
> [ 1791.253692] scsi 4:0:0:0: Device offlined - not ready after error
> recovery
> [ 1791.253761] scsi 4:0:0:0: rejecting I/O to offline device
> [ 1791.253785] scsi 4:0:0:0: rejecting I/O to offline device
> [ 1791.255566] scsi 4:0:0:1: Enclosure Hitachi SES
> A0D0 PQ: 0 ANSI: 4
> [ 1791.255778] scsi 4:0:0:2: uas_sense_old: urb length 26 disagrees with
> IU sense data length 510, using 18 bytes of sense data
> [ 1791.256623] sd 4:0:0:0: Attached scsi generic sg2 type 0
> [ 1791.256899] ses 4:0:0:1: Attached Enclosure device
> [ 1791.257112] ses 4:0:0:1: Attached scsi generic sg3 type 13
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.10
> Package: linux-image-3.0.0-13-generic 3.0.0-13.22
> ProcVersionSignature: Ubuntu 3.0.0-13.22-generic 3.0.6
> Uname: Linux 3.0.0-13-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
> ApportVersion: 1.23-0ubuntu4
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: bjl 1585 F.... pulseaudio
> CRDA: Error: [Errno 2] No such file or directory
> Card0.Amixer.info:
> Card hw:0 'I82801DBICH4'/'Intel 82801DB-ICH4 with AD1981B at irq 11'
> Mixer name : 'Analog Devices AD1981B'
> Components : 'AC97a:41445374'
> Controls : 26
> Simple ctrls : 18
> Card29.Amixer.info:
> Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30,
> fw unknown'
> Mixer name : 'ThinkPad EC (unknown)'
> Components : ''
> Controls : 2
> Simple ctrls : 1
> Card29.Amixer.values:
> Simple mixer control 'C...

Read more...

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (10.6 KiB)

This bug was fixed in the package linux - 3.2.0-24.38

---------------
linux (3.2.0-24.38) precise-proposed; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #991925

  [ Herton Ronaldo Krzesinski ]

  * linux: add Build-Depends for libnewt-dev, to enable perf TUI support
    - LP: #981717

  [ Tim Gardner ]

  * SAUCE: Allow filtering of cpufreq drivers
    - LP: #984288

  [ Upstream Kernel Changes ]

  * x86 bpf_jit: fix a bug in emitting the 16-bit immediate operand of AND
    - LP: #981162
  * tg3: Fix 5717 serdes powerdown problem
    - LP: #981162
  * sky2: dont overwrite settings for PHY Quick link
    - LP: #981162
  * rose_dev: fix memcpy-bug in rose_set_mac_address
    - LP: #981162
  * net: usb: cdc_eem: fix mtu
    - LP: #981162
  * Fix non TBI PHY access; a bad merge undid bug fix in a previous commit.
    - LP: #981162
  * ASoC: wm8994: Update WM8994 DCS calibration
    - LP: #981162
  * mtd: ixp4xx: oops in ixp4xx_flash_probe
    - LP: #981162
  * mtd: mips: lantiq: reintroduce support for cmdline partitions
    - LP: #981162
  * mtd: nand: gpmi: use correct member for checking NAND_BBT_USE_FLASH
    - LP: #981162
  * mtd: sst25l: initialize writebufsize
    - LP: #981162
  * mtd: block2mtd: initialize writebufsize
    - LP: #981162
  * mtd: lart: initialize writebufsize
    - LP: #981162
  * mtd: m25p80: set writebufsize
    - LP: #981162
  * ACPI: Do cpufreq clamping for throttling per package v2
    - LP: #981162
  * PNPACPI: Fix device ref leaking in acpi_pnp_match
    - LP: #981162
  * modpost: fix ALL_INIT_DATA_SECTIONS
    - LP: #981162
  * genirq: Adjust irq thread affinity on IRQ_SET_MASK_OK_NOCOPY return
    value
    - LP: #981162
  * tracing: Fix ftrace stack trace entries
    - LP: #981162
  * tracing: Fix ent_size in trace output
    - LP: #981162
  * m68k/mac: Add missing platform check before registering platform
    devices
    - LP: #981162
  * mac80211: fix possible tid_rx->reorder_timer use after free
    - LP: #981162
  * rtlwifi: rtl8192ce: rtl8192cu: rtl8192de: Fix low-gain setting when
    scanning
    - LP: #981162
  * drm: Validate requested virtual size against allocated fb size
    - LP: #981162
  * drm/radeon/kms: fix fans after resume
    - LP: #981162
  * drm/i915: no-lvds quirk on MSI DC500
    - LP: #981162
  * drm/i915: Add lock on drm_helper_resume_force_mode
    - LP: #981162
  * drm/i915: quirk away broken OpRegion VBT
    - LP: #981162
  * r8169: runtime resume before shutdown.
    - LP: #981162
  * target: Fix unsupported WRITE_SAME sense payload
    - LP: #981162
  * kgdb,debug_core: pass the breakpoint struct instead of address and
    memory
    - LP: #981162
  * kgdbts: Fix kernel oops with CONFIG_DEBUG_RODATA
    - LP: #981162
  * kgdbts: (1 of 2) fix single step awareness to work correctly with SMP
    - LP: #981162
  * kgdbts: (2 of 2) fix single step awareness to work correctly with SMP
    - LP: #981162
  * x86,kgdb: Fix DEBUG_RODATA limitation using text_poke()
    - LP: #981162
  * CIFS: Fix VFS lock usage for oplocked files
    - LP: #981162
  * ARM: tegra: remove Tegra30 errata from MACH_TEGRA_DT
    - LP: #981162
  * mmc: sdhci-dove: Fix compile error by...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Revision history for this message
Andrew Yurkov (dirigabel) wrote :
Download full text (19.7 KiB)

So now I can view some files from console (watching videos via mplayer).
But opening nautilus in /media/LaCie gives me errors - after it I can't use
the device.

dmesg now gives such output:

[ 1631.156246] usb 2-2: new high-speed USB device number 4 using ehci_hcd
[ 1631.290909] scsi6 : uas
[ 1631.501702] scsi 6:0:0:0: Direct-Access LaCie Rugged FW USB3
1081 PQ: 0 ANSI: 4
[ 1631.502911] sd 6:0:0:0: Attached scsi generic sg1 type 0
[ 1631.506169] sd 6:0:0:0: [sdb] 1953525153 512-byte logical blocks: (1.00
TB/931 GiB)
[ 1631.506524] sd 6:0:0:0: [sdb] Write Protect is off
[ 1631.506533] sd 6:0:0:0: [sdb] Mode Sense: 47 00 10 08
[ 1631.506748] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 1631.506789] sd 6:0:0:0: [sdb] Cache data unavailable
[ 1631.506796] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[ 1631.509252] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 1631.509289] sd 6:0:0:0: [sdb] Cache data unavailable
[ 1631.509296] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[ 1631.557445] sdb: sdb1
[ 1631.558870] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 1631.558906] sd 6:0:0:0: [sdb] Cache data unavailable
[ 1631.558910] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[ 1631.558915] sd 6:0:0:0: [sdb] Attached SCSI disk
[ 1631.561003] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 1631.688384] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
sense data length 510, using 18 bytes of sense data
[ 4351.840090] sd 6:0:0:0: uas_eh_abort_handler tag 0
[ 4351.840097] sd 6:0:0:0: uas_eh_abort_handler tag 1
[ 4351.840105] sd 6:0:0:0: uas_eh_device_reset_handler tag 0
[ 4351.840111] sd 6:0:0:0: uas_eh_target_reset_handler tag 0
[ 4351.840115] sd 6:0:0:0: uas_eh_bus_reset_handler tag 1
[ 4351.844171] usb 2-2: URB BAD STATUS -71
[ 4351.952275] usb 2-2: reset high-speed USB device number 4 using ehci_hcd
[ 4352.085576] sd 6:0:0:0: Device offlined - not ready after error recovery
[ 4352.085583] sd 6:0:0:0: Device offlined - not ready after error recovery
[ 4352.085598] sd 6:0:0:0: [sdb] Unhandled error code
[ 4352.085602] sd 6:0:0:0: [sdb] Result: hostbyte=DID_OK
driverbyte=DRIVER_TIMEOUT
[ 4352.085609] sd 6:0:0:0: [sdb] CDB: Read(10): 28 00 26 4b de 00 00 00 08
00
[ 4352.085626] end_request: I/O error, dev sdb, sector 642506240
[ 4352.085633] quiet_error: 24 callbacks suppressed
[ 4352.085638] Buffer I/O error on device sdb1, logical block 80313024
[ 4352.085671] sd 6:0:0:0: [sdb] Unhandled error code
[ 4352.085675] sd 6:0:0:0: [sdb] Result: hostbyte=DID_OK
driverbyte=DRIVER_TIMEOUT
[ 4352.085681] sd 6:0:0:0: [sdb] CDB: Read(10): 28 00 00 03 4b b8 00 00 f8
00
[ 4352.085696] end_request: I/O error, dev sdb, sector 215992
[ 4352.085702] sd 6:0:0:0: rejecting I/O to offline device
[ 4352.085706] Buffer I/O error on device sdb1, logical block 26743
[ 4352.085711] Buffer I/O error on device sdb1, logical block 26744
[ 4352.085717] Buffer I/O error on devi...

Revision history for this message
Ming Lei (tom-leiming) wrote :
Download full text (4.3 KiB)

Hi Andrew,

On Tue, May 22, 2012 at 1:44 AM, Andrew Yurkov
<email address hidden> wrote:
> So now I can view some files from console (watching videos via mplayer).
> But opening nautilus in /media/LaCie gives me errors - after it I can't use
> the device.
>
>
> dmesg now gives such output:
>
> [ 1631.156246] usb 2-2: new high-speed USB device number 4 using ehci_hcd

As I said, your problem may be different with this report, since you connect
your HD. into USB 2.0 port.

> [ 1631.290909] scsi6 : uas
> [ 1631.501702] scsi 6:0:0:0: Direct-Access     LaCie    Rugged FW USB3
> 1081 PQ: 0 ANSI: 4
> [ 1631.502911] sd 6:0:0:0: Attached scsi generic sg1 type 0
> [ 1631.506169] sd 6:0:0:0: [sdb] 1953525153 512-byte logical blocks: (1.00
> TB/931 GiB)
> [ 1631.506524] sd 6:0:0:0: [sdb] Write Protect is off
> [ 1631.506533] sd 6:0:0:0: [sdb] Mode Sense: 47 00 10 08
> [ 1631.506748] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 1631.506789] sd 6:0:0:0: [sdb] Cache data unavailable
> [ 1631.506796] sd 6:0:0:0: [sdb] Assuming drive cache: write through
> [ 1631.509252] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 1631.509289] sd 6:0:0:0: [sdb] Cache data unavailable
> [ 1631.509296] sd 6:0:0:0: [sdb] Assuming drive cache: write through
> [ 1631.557445]  sdb: sdb1
> [ 1631.558870] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 1631.558906] sd 6:0:0:0: [sdb] Cache data unavailable
> [ 1631.558910] sd 6:0:0:0: [sdb] Assuming drive cache: write through
> [ 1631.558915] sd 6:0:0:0: [sdb] Attached SCSI disk
> [ 1631.561003] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 1631.688384] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> sense data length 510, using 18 bytes of sense data
> [ 4351.840090] sd 6:0:0:0: uas_eh_abort_handler tag 0

It indicates that your problem is triggered after 2720 seconds, so it is surely
different with this report.

Suggest you to open a new bug entry to trace the bug.

> [ 4351.840097] sd 6:0:0:0: uas_eh_abort_handler tag 1
> [ 4351.840105] sd 6:0:0:0: uas_eh_device_reset_handler tag 0
> [ 4351.840111] sd 6:0:0:0: uas_eh_target_reset_handler tag 0
> [ 4351.840115] sd 6:0:0:0: uas_eh_bus_reset_handler tag 1
> [ 4351.844171] usb 2-2: URB BAD STATUS -71
> [ 4351.952275] usb 2-2: reset high-speed USB device number 4 using ehci_hcd
> [ 4352.085576] sd 6:0:0:0: Device offlined - not ready after error recovery
> [ 4352.085583] sd 6:0:0:0: Device offlined - not ready after error recovery
> [ 4352.085598] sd 6:0:0:0: [sdb] Unhandled error code
> [ 4352.085602] sd 6:0:0:0: [sdb]  Result: hostbyte=DID_OK
> driverbyte=DRIVER_TIMEOUT
> [ 4352.085609] sd 6:0:0:0: [sdb] CDB: Read(10): 28 00 26 4b de 00 00 00 08
> 00
> [ 4352.085626] end_request: I/O error, dev sdb, sector 642506240
> [ 4352.085633] quiet_error: 24 callbacks suppressed
> [ 4352.085638] Buffer I/O error on device sdb1, logical block 80313024
> [ 4352.085671] sd 6:0:0:0: [sdb] Unhandled er...

Read more...

Revision history for this message
Andrew Yurkov (dirigabel) wrote :
Download full text (9.4 KiB)

2012/5/22 Ming Lei <email address hidden>

> Hi Andrew,
>
> On Tue, May 22, 2012 at 1:44 AM, Andrew Yurkov
> <email address hidden> wrote:
> > So now I can view some files from console (watching videos via mplayer).
> > But opening nautilus in /media/LaCie gives me errors - after it I can't
> use
> > the device.
> >
> >
> > dmesg now gives such output:
> >
> > [ 1631.156246] usb 2-2: new high-speed USB device number 4 using ehci_hcd
>
> As I said, your problem may be different with this report, since you
> connect
> your HD. into USB 2.0 port.
>
> > [ 1631.290909] scsi6 : uas
> > [ 1631.501702] scsi 6:0:0:0: Direct-Access LaCie Rugged FW USB3
> > 1081 PQ: 0 ANSI: 4
> > [ 1631.502911] sd 6:0:0:0: Attached scsi generic sg1 type 0
> > [ 1631.506169] sd 6:0:0:0: [sdb] 1953525153 512-byte logical blocks:
> (1.00
> > TB/931 GiB)
> > [ 1631.506524] sd 6:0:0:0: [sdb] Write Protect is off
> > [ 1631.506533] sd 6:0:0:0: [sdb] Mode Sense: 47 00 10 08
> > [ 1631.506748] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> > sense data length 510, using 18 bytes of sense data
> > [ 1631.506789] sd 6:0:0:0: [sdb] Cache data unavailable
> > [ 1631.506796] sd 6:0:0:0: [sdb] Assuming drive cache: write through
> > [ 1631.509252] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> > sense data length 510, using 18 bytes of sense data
> > [ 1631.509289] sd 6:0:0:0: [sdb] Cache data unavailable
> > [ 1631.509296] sd 6:0:0:0: [sdb] Assuming drive cache: write through
> > [ 1631.557445] sdb: sdb1
> > [ 1631.558870] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> > sense data length 510, using 18 bytes of sense data
> > [ 1631.558906] sd 6:0:0:0: [sdb] Cache data unavailable
> > [ 1631.558910] sd 6:0:0:0: [sdb] Assuming drive cache: write through
> > [ 1631.558915] sd 6:0:0:0: [sdb] Attached SCSI disk
> > [ 1631.561003] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> > sense data length 510, using 18 bytes of sense data
> > [ 1631.688384] sd 6:0:0:0: uas_sense_old: urb length 26 disagrees with IU
> > sense data length 510, using 18 bytes of sense data
> > [ 4351.840090] sd 6:0:0:0: uas_eh_abort_handler tag 0
>
>

> It indicates that your problem is triggered after 2720 seconds, so it is
> surely
> different with this report.
>

My problem is triggered immediately after I've opened Nautilus - in this
case I've opened it after 2720 seconds.

> Suggest you to open a new bug entry to trace the bug.
>

>
> > [ 4351.840097] sd 6:0:0:0: uas_eh_abort_handler tag 1
> > [ 4351.840105] sd 6:0:0:0: uas_eh_device_reset_handler tag 0
> > [ 4351.840111] sd 6:0:0:0: uas_eh_target_reset_handler tag 0
> > [ 4351.840115] sd 6:0:0:0: uas_eh_bus_reset_handler tag 1
> > [ 4351.844171] usb 2-2: URB BAD STATUS -71
> > [ 4351.952275] usb 2-2: reset high-speed USB device number 4 using
> ehci_hcd
> > [ 4352.085576] sd 6:0:0:0: Device offlined - not ready after error
> recovery
> > [ 4352.085583] sd 6:0:0:0: Device offlined - not ready after error
> recovery
> > [ 4352.085598] sd 6:0:0:0: [sdb] Unhandled error code
> > [ 4352.085602] sd 6:0:0:0: [sdb] Result: hostbyte=DID_OK
> > driverbyte=DRIVER_TIMEOUT
> > [ 4352.085609] sd ...

Read more...

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (13.5 KiB)

This bug was fixed in the package linux - 3.0.0-20.34

---------------
linux (3.0.0-20.34) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #992497

  [ Herton Ronaldo Krzesinski ]

  * linux: add Build-Depends for libnewt-dev, to enable perf TUI support
    - LP: #981717

  [ Manoj Iyer ]

  * SAUCE: Bluetooth: btusb: Add vendor specific ID (0489 e042) for
    BCM20702A0
    - LP: #980965

  [ Tim Gardner ]

  * [Config] Fix invalid linux-headers link
    - LP: #974403
  * Remove headers asm symlink entirely
    - LP: #974403

  [ Upstream Kernel Changes ]

  * Revert "x86/ioapic: Add register level checks to detect bogus io-apic
    entries"
    - LP: #983326
  * drm/i915: Fixes distorted external screen image on HP 2730p
    - LP: #796030
  * x86 bpf_jit: fix a bug in emitting the 16-bit immediate operand of AND
    - LP: #983326
  * rose_dev: fix memcpy-bug in rose_set_mac_address
    - LP: #983326
  * net: usb: cdc_eem: fix mtu
    - LP: #983326
  * mtd: sst25l: initialize writebufsize
    - LP: #983326
  * mtd: block2mtd: initialize writebufsize
    - LP: #983326
  * mtd: lart: initialize writebufsize
    - LP: #983326
  * mtd: m25p80: set writebufsize
    - LP: #983326
  * ACPI: Do cpufreq clamping for throttling per package v2
    - LP: #983326
  * PNPACPI: Fix device ref leaking in acpi_pnp_match
    - LP: #983326
  * modpost: fix ALL_INIT_DATA_SECTIONS
    - LP: #983326
  * genirq: Adjust irq thread affinity on IRQ_SET_MASK_OK_NOCOPY return
    value
    - LP: #983326
  * tracing: Fix ftrace stack trace entries
    - LP: #983326
  * m68k/mac: Add missing platform check before registering platform
    devices
    - LP: #983326
  * mac80211: fix possible tid_rx->reorder_timer use after free
    - LP: #983326
  * drm: Validate requested virtual size against allocated fb size
    - LP: #983326
  * drm/radeon/kms: fix fans after resume
    - LP: #983326
  * drm/i915: no-lvds quirk on MSI DC500
    - LP: #983326
  * drm/i915: Sanitize BIOS debugging bits from PIPECONF
    - LP: #983326
  * drm/i915: Add lock on drm_helper_resume_force_mode
    - LP: #983326
  * drm/i915: quirk away broken OpRegion VBT
    - LP: #983326
  * kgdb,debug_core: pass the breakpoint struct instead of address and
    memory
    - LP: #983326
  * kgdbts: Fix kernel oops with CONFIG_DEBUG_RODATA
    - LP: #983326
  * kgdbts: (1 of 2) fix single step awareness to work correctly with SMP
    - LP: #983326
  * kgdbts: (2 of 2) fix single step awareness to work correctly with SMP
    - LP: #983326
  * x86,kgdb: Fix DEBUG_RODATA limitation using text_poke()
    - LP: #983326
  * mmc: atmel-mci: correct data timeout computation
    - LP: #983326
  * sysctl: fix write access to dmesg_restrict/kptr_restrict
    - LP: #983326
  * modpost: Fix modpost's license checking V3
    - LP: #983326
  * modpost: Fix modpost license checking of vmlinux.o
    - LP: #983326
  * x86/PCI: use host bridge _CRS info on MSI MS-7253
    - LP: #983326
  * x86/PCI: do not tie MSI MS-7253 use_crs quirk to BIOS version
    - LP: #983326
  * acer-wmi: No wifi rfkill on Sony machines
    - LP: #983326
  * sched/x86: Fix overflow in cyc2ns_offset
    - LP: #98332...

Changed in linux (Ubuntu Oneiric):
status: Fix Committed → Fix Released
Revision history for this message
Lorenz Giefing (lorenz-giefing) wrote :

my Drive doesn't mount again:
Version 12.04 (precise) (32-Bit)
Kernel Linux 3.2.0-29-generic-pae

Revision history for this message
Lorenz Giefing (lorenz-giefing) wrote :

blacklisting uad works again

Revision history for this message
David Anderson (davea42) wrote :

Linux q2 3.2.0-29-generic-pae #46-Ubuntu SMP Fri Jul 27 17:25:43 UTC 2012 i686 i686 i386 GNU/Linux

Like Lorenz it stopped again at some point and I have
to blacklist uas. It is 'blacklist uas', not uad. In /etc/modprobe.d/blacklist.conf

With the blacklist on as shown below the Touro mounts again, normally.

My blacklist.conf, part of it, as of a few minutes ago:

# Trying this so Hitachi Touro will be usable.
# Jan 11, 2012. See bug 901215, linux bug.
# Mar 11, still not working if uas present.
# Sometimes fails even if this blacklist command present.
# April 26 giving up on blacklist command it is no help.
# Worked without blacklist for a while.
# Sep 4, 2012 not working, so try blacklist again.
blacklist uas

From dmesg with blacklist in place:
[ 117.192275] usb 2-1.4: new high-speed USB device number 6 using ehci_hcd
[ 117.383024] Initializing USB Mass Storage driver...
[ 117.383373] scsi6 : usb-storage 2-1.4:1.0
[ 117.383444] usbcore: registered new interface driver usb-storage
[ 117.383446] USB Mass Storage support registered.
[ 121.106108] scsi 6:0:0:0: Direct-Access Hitachi Touro Mobile Pro A0D0 PQ: 0 ANSI: 4
[ 121.107065] sd 6:0:0:0: Attached scsi generic sg3 type 0
[ 121.107498] sd 6:0:0:0: [sdc] 976769024 512-byte logical blocks: (500 GB/465 GiB)
[ 121.109496] sd 6:0:0:0: [sdc] Write Protect is off
[ 121.109500] sd 6:0:0:0: [sdc] Mode Sense: 67 00 10 08
[ 121.110211] sd 6:0:0:0: [sdc] No Caching mode page present
[ 121.110214] sd 6:0:0:0: [sdc] Assuming drive cache: write through
[ 121.112834] sd 6:0:0:0: [sdc] No Caching mode page present
[ 121.112837] sd 6:0:0:0: [sdc] Assuming drive cache: write through
[ 121.125872] sdc: sdc1
[ 121.131495] sd 6:0:0:0: [sdc] No Caching mode page present
[ 121.131498] sd 6:0:0:0: [sdc] Assuming drive cache: write through
[ 121.131501] sd 6:0:0:0: [sdc] Attached SCSI disk

Revision history for this message
David Anderson (davea42) wrote :

My comment above applies to 12.04.

Revision history for this message
Ming Lei (tom-leiming) wrote :

On Wed, Sep 5, 2012 at 7:35 AM, David Anderson
<email address hidden> wrote:
> Linux q2 3.2.0-29-generic-pae #46-Ubuntu SMP Fri Jul 27 17:25:43 UTC
> 2012 i686 i686 i386 GNU/Linux
>
> Like Lorenz it stopped again at some point and I have
> to blacklist uas. It is 'blacklist uas', not uad. In /etc/modprobe.d/blacklist.conf
>
> With the blacklist on as shown below the Touro mounts again, normally.
>
> My blacklist.conf, part of it, as of a few minutes ago:
>
> # Trying this so Hitachi Touro will be usable.
> # Jan 11, 2012. See bug 901215, linux bug.
> # Mar 11, still not working if uas present.
> # Sometimes fails even if this blacklist command present.
> # April 26 giving up on blacklist command it is no help.
> # Worked without blacklist for a while.
> # Sep 4, 2012 not working, so try blacklist again.
> blacklist uas
>
> >From dmesg with blacklist in place:
> [ 117.192275] usb 2-1.4: new high-speed USB device number 6 using ehci_hcd

So looks uas has a bad support on usb 2.0 device, and this one should
be reported
as a new bug, since it is different with original report on usb 3.0 device, IMO.

Thanks,

Revision history for this message
Ming Lei (tom-leiming) wrote :

On Wed, Sep 5, 2012 at 7:37 AM, David Anderson
<email address hidden> wrote:
> My comment above applies to 12.04.

BTW, could you test the upstream kernel to see if your problem can be fixed?

      http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc4-quantal/

Thank,
--
Ming Lei

Revision history for this message
David Anderson (davea42) wrote :

With trepidation. Downloaded i386 general (and the 'all' ) debs to a clean
directory and did sudo -i *.deb. Got errors (nvidia isues). Booted to the kernel anyway and
it worked though the screen was sort of scrunched. commented out the uas blacklist.
Rebooted to the new kernel again. And the Touro mounted fine and dismounted.

So then I rebooted back to the latest standard 12.04 generic-pae which I normally run,
currently 3.2.0-30-generic-pae #48-Ubuntu. Things look normal.
And the Touro still mounts and dismounts. So how does that make any sense?
How could Touro mount now when it did not a few days ago?

I am totally confused.

Revision history for this message
David Anderson (davea42) wrote :

I mean sudo dpkg -i of course. Typo above.

Revision history for this message
David Anderson (davea42) wrote :

'safely remove drive' via rightmouse. And it went off then came back!!!
More than once! And a rightmouse safely-remove-drive got a message about busy!
Waited a few seconds. Another 'safely remove' worked and as soon as the icon on desktop
went off I disconnected and all seemed ok. AFAICT.

One item possibly of interest: both cpu cores running 100% (seti at home) so
timing issues might show up.

part of dmesg:
[ 1388.772300] usb 2-1.4: new high-speed USB device number 9 using ehci_hcd
[ 1388.924012] scsi9 : usb-storage 2-1.4:1.0
[ 1392.090494] scsi 9:0:0:0: Direct-Access Hitachi Touro Mobile Pro A0D0 PQ: 0 ANSI: 4
[ 1392.091761] sd 9:0:0:0: [sdc] 976769024 512-byte logical blocks: (500 GB/465 GiB)
[ 1392.092330] sd 9:0:0:0: Attached scsi generic sg3 type 0
[ 1392.093182] sd 9:0:0:0: [sdc] Write Protect is off
[ 1392.093184] sd 9:0:0:0: [sdc] Mode Sense: 67 00 10 08
[ 1392.093849] sd 9:0:0:0: [sdc] No Caching mode page present
[ 1392.093851] sd 9:0:0:0: [sdc] Assuming drive cache: write through
[ 1392.096224] sd 9:0:0:0: [sdc] No Caching mode page present
[ 1392.096226] sd 9:0:0:0: [sdc] Assuming drive cache: write through
[ 1392.110898] sdc: sdc1
[ 1392.114097] sd 9:0:0:0: [sdc] No Caching mode page present
[ 1392.114099] sd 9:0:0:0: [sdc] Assuming drive cache: write through
[ 1392.114101] sd 9:0:0:0: [sdc] Attached SCSI disk
[ 1405.164200] Buffer I/O error on device sdc1, logical block 122095583
[ 1405.164204] Buffer I/O error on device sdc1, logical block 122095583
[ 1405.164281] Buffer I/O error on device sdc1, logical block 1
[ 1405.164284] Buffer I/O error on device sdc1, logical block 1
[ 1405.164287] Buffer I/O error on device sdc1, logical block 1
[ 1405.164305] Buffer I/O error on device sdc1, logical block 0
[ 1405.164308] Buffer I/O error on device sdc1, logical block 0
[ 1405.164311] Buffer I/O error on device sdc1, logical block 0
[ 1405.164314] Buffer I/O error on device sdc1, logical block 0
[ 1405.164317] Buffer I/O error on device sdc1, logical block 0
[ 1405.253034] usb 2-1.4: USB disconnect, device number 9

Revision history for this message
David Anderson (davea42) wrote :

Well, none of my comments really belong in this bug report, probably. Sorry.
But Touro is now mounting ok, but on rightmouse (with cores not running seti at all)
can safely remove drive but after a few seconds it remounts itself. I can unplug
after the safely-remove-drive ok, but if I don't it remounts. Odd. Seems repeatable.
Never noticed this before. Running latest stock 12.04, not rc4.

Something odd about the Touro, that seems fairly clear.

Revision history for this message
David Anderson (davea42) wrote :

Experiment: stock 12.04 as show just above (not rc4). 100% seti running on both cores. No problem with
Touro other than the 'it remounts itself' behavior. Multiple 'safely remove' actions.
Booted in current standard generic-pae, I used synaptic to remove all 4 deb rc4
packages Ming Lei asked me to try.

Revision history for this message
David Anderson (davea42) wrote :

Installed 12.10 yesterday and the Touro drive will not mount. Tried with uas allowed, it failed.
Changed to blacklist uas, rebooted. Plugged in Touro and again it would not mount. Fail.

Revision history for this message
Adam Conrad (adconrad) wrote : Update Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.